For the complete documentation index, see llms.txt. This page is also available as Markdown.

Orgs

Snyk API reference for the Orgs endpoints, including request parameters and response schemas

This document uses the REST API. For more details, see the Authentication for API page.

List accessible organizations

get

Get a paginated list of organizations you have access to.

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
limitinteger · int32 · min: 10 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
group_idstring · uuidOptional

If set, only return organizations within the specified group

is_personalbooleanOptional

If true, only return organizations that are not part of a group.

slugstring · max: 100Optional

Only return orgs whose slug exactly matches this value.

Pattern: ^[\w.-]+$
namestring · min: 1 · max: 100Optional

Only return orgs whose name contains this value.

Responses
200

A list of organizations you have access to.

application/vnd.api+json
get/orgs
GET /rest/orgs?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "attributes": {
        "access_requests_enabled": false,
        "created_at": "2022-03-16T00:00:00Z",
        "group_id": "59d6d97e-3106-4ebb-b608-352fad9c5b34",
        "is_personal": true,
        "name": "My Org",
        "slug": "my-org",
        "updated_at": "2022-03-16T00:00:00Z"
      },
      "id": "59d6d97e-3106-4ebb-b608-352fad9c5b34",
      "relationships": {
        "member_role": {
          "data": {
            "attributes": {
              "name": "Collaborator"
            },
            "id": "f60ff965-6889-4db2-8c86-0285d62f35ab",
            "type": "resource"
          }
        }
      },
      "type": "resource"
    }
  ],
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

Update organization

patch

Update the details of an organization

Required permissions

  • Edit Organization (org.edit)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

Unique identifier for org

Example: b667f176-df52-4b0a-9954-117af6b05ab7
Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
200

Instance of org is updated

application/vnd.api+json
patch/orgs/{org_id}
PATCH /rest/orgs/{org_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 98

{
  "data": {
    "attributes": {
      "name": "My Org"
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "org"
  }
}
{
  "data": {
    "attributes": {
      "access_requests_enabled": false,
      "created_at": "2022-03-16T00:00:00Z",
      "group_id": "59d6d97e-3106-4ebb-b608-352fad9c5b34",
      "is_personal": true,
      "name": "My Org",
      "slug": "my-org",
      "updated_at": "2022-03-16T00:00:00Z"
    },
    "id": "d5b640e5-d88c-4c17-9bf0-93597b7a1ce2",
    "relationships": {
      "member_role": {
        "data": {
          "attributes": {
            "name": "Collaborator"
          },
          "id": "f60ff965-6889-4db2-8c86-0285d62f35ab",
          "type": "resource"
        }
      }
    },
    "type": "org"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "self": "https://example.com/api/this_resource"
  }
}

Get organization

get

Get the full details of an organization.

Required permissions

  • View Organization (org.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

Unique identifier for org

Example: b667f176-df52-4b0a-9954-117af6b05ab7
Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
200

Returns an instance of an organization

application/vnd.api+json
get/orgs/{org_id}
GET /rest/orgs/{org_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "attributes": {
      "created_at": "2022-03-16T00:00:00Z",
      "group_id": "59d6d97e-3106-4ebb-b608-352fad9c5b34",
      "is_personal": true,
      "name": "My Org",
      "slug": "my-org",
      "updated_at": "2022-03-16T00:00:00Z"
    },
    "id": "59d6d97e-3106-4ebb-b608-352fad9c5b34",
    "relationships": {
      "tenant": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000000",
          "type": "tenant"
        }
      }
    },
    "type": "resource"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "self": "https://example.com/api/this_resource"
  }
}

Create a org membership for a user with role

post

Create a org membership for a user with role

Required permissions

  • Add Organization Memberships (org.membership.add)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The ID of the org

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
201

Membership for the user is created on the org

application/vnd.api+json
post/orgs/{org_id}/memberships
POST /rest/orgs/{org_id}/memberships?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 282

{
  "data": {
    "relationships": {
      "org": {
        "data": {
          "id": "8aab168e-fb3b-47c0-9d87-442715788b31",
          "type": "org"
        }
      },
      "role": {
        "data": {
          "id": "331ede0a-de94-456f-b788-166caeca58bf",
          "type": "org_role"
        }
      },
      "user": {
        "data": {
          "id": "677d5f47-a8bf-4090-ba52-680903e7c8b5",
          "type": "user"
        }
      }
    },
    "type": "org_membership"
  }
}
{
  "data": {
    "attributes": {
      "created_at": "2021-05-29T09:50:54.014Z"
    },
    "id": "331ede0a-de94-456f-b788-166caeca58bf",
    "relationships": {
      "org": {
        "data": {
          "attributes": {
            "name": "Example org"
          },
          "id": "331ede0a-de94-456f-b788-166caeca58bf",
          "type": "org"
        }
      },
      "role": {
        "data": {
          "attributes": {
            "name": "Admin role"
          },
          "id": "331ede0a-de94-456f-b788-166caeca58bf",
          "type": "org_role"
        }
      },
      "user": {
        "data": {
          "attributes": {
            "email": "user@test.com",
            "login_method": "text",
            "name": "User2",
            "username": "User name 2"
          },
          "id": "331ede0a-de94-456f-b788-166caeca58bf",
          "type": "user"
        }
      }
    },
    "type": "org_membership"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource",
    "last": "https://example.com/api/resource",
    "next": "https://example.com/api/resource",
    "prev": "https://example.com/api/resource",
    "related": "https://example.com/api/resource",
    "self": "https://example.com/api/resource"
  }
}

Get all memberships of the org

get

Returns all memberships of the org

Required permissions

  • View Organization Memberships (org.membership.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The ID of the org

Query parameters
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
limitinteger · int32 · min: 10 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
sort_bystring · enumOptional

Which column to sort by.

Possible values:
sort_orderstring · enumOptional

Order in which results are returned.

Default: ASCExample: ASCPossible values:
emailstringOptional

Filter the response by Users that match the provided email

user_idstringOptional

Filter the response by Users that match the provided user ID

usernamestringOptional

Filter the response by Users that match the provided username

role_namestringOptional

Filter the response for results only with the specified role.

Responses
200

List of org memberships is returned

application/vnd.api+json
get/orgs/{org_id}/memberships
GET /rest/orgs/{org_id}/memberships?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "attributes": {
        "created_at": "2022-03-16T00:00:00Z"
      },
      "id": "331ede0a-de94-456f-b788-166caeca58bf",
      "relationships": {
        "org": {
          "data": {
            "attributes": {
              "name": "Example org"
            },
            "id": "331ede0a-de94-456f-b788-166caeca58bf",
            "type": "org"
          }
        },
        "role": {
          "data": {
            "attributes": {
              "name": "Admin role"
            },
            "id": "331ede0a-de94-456f-b788-166caeca58bf",
            "type": "org_role"
          }
        },
        "user": {
          "data": {
            "attributes": {
              "email": "user@test.com",
              "login_method": "text",
              "name": "User2",
              "username": "User name 2"
            },
            "id": "331ede0a-de94-456f-b788-166caeca58bf",
            "type": "user"
          }
        }
      },
      "type": "org_memberships"
    }
  ],
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource",
    "last": "https://example.com/api/resource",
    "next": "https://example.com/api/resource",
    "prev": "https://example.com/api/resource",
    "related": "https://example.com/api/resource",
    "self": "https://example.com/api/resource"
  }
}

Update a org membership for a user with role

patch

Update a org membership for a user with role

Required permissions

  • Edit Organization Memberships (org.membership.edit)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The id of the org

membership_idstring · uuidRequired

The id of the org membership

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
204

The Membership is updated

patch/orgs/{org_id}/memberships/{membership_id}
PATCH /rest/orgs/{org_id}/memberships/{membership_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 192

{
  "data": {
    "attributes": {},
    "id": "f60ff965-6889-4db2-8c86-0285d62f35ab",
    "relationships": {
      "role": {
        "data": {
          "id": "f60ff965-6889-4db2-8c86-0285d62f35ab",
          "type": "org_role"
        }
      }
    },
    "type": "org_membership"
  }
}

No content

Remove user's org membership

delete

Remove a user's membership of the group.

Required permissions

  • Delete Organization Memberships (org.membership.delete)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The id of the org

membership_idstring · uuidRequired

The id of the org membership

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
204

Org membership for the user was successfully deleted.

delete/orgs/{org_id}/memberships/{membership_id}
DELETE /rest/orgs/{org_id}/memberships/{membership_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*

No content

List all organizations in group

get

Get a paginated list of all the organizations belonging to the group. By default, this endpoint returns the organizations in alphabetical order of their name.

Required permissions

  • View Groups (group.read)

  • View Organizations (group.org.list)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
group_idstring · uuidRequired

Unique identifier for group

Example: b667f176-df52-4b0a-9954-117af6b05ab7
Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
limitinteger · int32 · min: 10 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
namestringOptional

Only return organizations whose name contains this value. Case insensitive.

slugstringOptional

Only return organizations whose slug exactly matches this value. Case sensitive.

expandstring · enumOptional

Expand the response with additional fields. When set to count, the response will include a meta object containing a total_count field with the total number of organizations in the group, ignoring any filters applied to the original query.

Example: countPossible values:
Responses
200

A list of organizations in the group.

application/vnd.api+json
get/groups/{group_id}/orgs
GET /rest/groups/{group_id}/orgs?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "attributes": {
        "access_requests_enabled": false,
        "created_at": "2022-03-16T00:00:00Z",
        "group_id": "59d6d97e-3106-4ebb-b608-352fad9c5b34",
        "is_personal": true,
        "name": "My Org",
        "slug": "my-org",
        "updated_at": "2022-03-16T00:00:00Z"
      },
      "id": "59d6d97e-3106-4ebb-b608-352fad9c5b34",
      "type": "resource"
    }
  ],
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  },
  "meta": {
    "total_count": 42
  }
}

Last updated

Was this helpful?